import React from "react";
import { observer } from "mobx-react";
import { Space } from "antd";
import { CreddefRecordDto } from "@dashboard/engine-api";
import RecordItem from "../RecordItem";
import s from "./styles.module.scss";

interface CredentialDefinitionItem {
  item: CreddefRecordDto;
  onClick?: () => void;
}

const CredentialDefinitionItem = observer(
  ({ item, onClick }: CredentialDefinitionItem) => {
    return (
      <RecordItem onClick={onClick} rawData={item}>
        <Space direction="vertical">
          <div className={s.name}>{item.tag}</div>
          <div className={s.credDefId}>{item.id}</div>
        </Space>
      </RecordItem>
    );
  },
);

export default CredentialDefinitionItem;
