import React from "react";
import { observer } from "mobx-react";
import classNames from "classnames";
import modalStore from "@dashboard/store/modalStore";
import s from "./styles.module.scss";

interface RecordItemProps {
  children: React.ReactNode;
  onClick?: () => void;
  rawData?: unknown;
}

const RecordItem = observer(
  ({ children, rawData, onClick }: RecordItemProps) => {
    return (
      <div
        className={classNames(s.record, { [s.clickable]: onClick })}
        onClick={onClick}
      >
        <>
          {rawData && (
            <div
              className={s.rawData}
              onClick={(e) => {
                e.stopPropagation();
                e.preventDefault();
                modalStore.openViewJsonDialog({ data: rawData });
              }}
            >
              {`{ }`}
            </div>
          )}
          {children}
        </>
      </div>
    );
  },
);

export default RecordItem;
