import { createContext } from "react";

interface Auth {
  authorized: boolean;
  loading: boolean;
  getToken: () => string | null;
  setToken: (token: string | null) => void;
}

const authContext = createContext<Auth>({
  authorized: false,
  loading: true,
  setToken: () => {
    console.warn("Context not overwritten");
  },
  getToken: () => null,
});

export default authContext;
