#!/bin/bash
set -e

# This function represents an action for the 'tsa' command.
handle_tsa() {
  echo "Generating TSA not implemented"
  exit 1
  echo "Generating ts client for tsa..."
  dotnet run --project server/TsClientGenerator ./login-code/gen/http/openapi3.json ./ocm-engine/libs/dashboard/tsa-api/src/tsa_gen.ts

  echo "patching tsa client..."
  sed -i "" 's/login#/login/g' ./ocm-engine/libs/dashboard/tsa-api/src/tsa_gen.ts
  sed -i "" 's/Login#/Login/g' ./ocm-engine/libs/dashboard/tsa-api/src/tsa_gen.ts
  sed -i "" 's/health#/health/g' ./ocm-engine/libs/dashboard/tsa-api/src/tsa_gen.ts
  sed -i "" 's/Health#/Health/g' ./ocm-engine/libs/dashboard/tsa-api/src/tsa_gen.ts
}

handle_ocmengine_gen() {
  echo "Generating ts client for agent..."
  docker build -t ts-client-generator -f ./libs/ts-client-generator/Dockerfile .
  docker run --rm -v ./libs/clients/src/frontend:/app/generated ts-client-generator
}

# Check that exactly one argument is provided
if [ "$#" -ne 1 ]; then
    echo "Usage: $0 {ocmengine|tsa}"
    exit 1
fi

# Perform an action based on the argument.
case "$1" in
  tsa)
    handle_tsa
    ;;
  ocmengine)
    handle_ocmengine_gen
    ;;
  *)
    echo "Unknown command: $1"
    echo "Usage: $0 {ocmengine|tsa}"
    exit 2
    ;;
esac

exit 0
